Bug 630222 - (ghc-colour) Review Request: ghc-colour - A model for human colour/color perception
Review Request: ghc-colour - A model for human colour/color perception
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-04 01:30 EDT by Ben Boeckel
Modified: 2010-11-07 16:27 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-colour-2.3.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-07 16:26:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 01:30:00 EDT
Spec URL: http://benboeckel.net/packaging/ghc-colour/ghc-colour.spec
SRPM URL: http://benboeckel.net/packaging/ghc-colour/ghc-colour-2.3.1-1.fc14.src.rpm
Description:
This package provides a data type for colours and
transparency. Colours can be blended and composed. Various
colour spaces are supported. A module of colour names
("Data.Colour.Names") is provided.

% lintmock fedora-14-x86_64-bb                                                   -
ghc-colour.src: W: spelling-error %description -l en_US colours -> colors, co lours, co-lours
ghc-colour.src: W: spelling-error %description -l en_US Colours -> Co lours, Co-lours, Col ours
ghc-colour.src: W: strange-permission colour-2.3.1.tar.gz 0640L
ghc-colour.src: W: strange-permission ghc-colour.spec 0640L
ghc-colour.x86_64: W: spelling-error %description -l en_US colours -> colors, co lours, co-lours
ghc-colour.x86_64: W: spelling-error %description -l en_US Colours -> Co lours, Co-lours, Col ours
ghc-colour-devel.x86_64: W: spelling-error %description -l en_US colours -> colors, co lours, co-lours
ghc-colour-devel.x86_64: W: spelling-error %description -l en_US Colours -> Co lours, Co-lours, Col ours
ghc-colour-prof.x86_64: E: devel-dependency ghc-colour-devel
ghc-colour-prof.x86_64: W: spelling-error %description -l en_US colours -> colors, co lours, co-lours
ghc-colour-prof.x86_64: W: spelling-error %description -l en_US Colours -> Co lours, Co-lours, Col ours
ghc-colour-prof.x86_64: W: no-documentation
ghc-colour-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/colour-2.3.1/libHScolour-2.3.1_p.a
4 packages and 0 specfiles checked; 1 errors, 12 warnings.
Comment 1 Narasimhan 2010-09-17 07:41:16 EDT
Hi Ben,

Here is my review on this package.  I used the guidelines from https://fedoraproject.org/wiki/Packaging:ReviewGuidelines . I saw that Jens' review on another package had some additional items. I used that.

Must items 
+ OK , ! - Not sure , NA - Not Applicable

[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

ghc-colour.i386: W: spelling-error %description -l en_US colours -> colors, co lours, co-lours
The value of this tag appears to be misspelled. Please double-check.

ghc-colour.i386: W: spelling-error %description -l en_US Colours -> Co lours, Co-lours, Col ours
The value of this tag appears to be misspelled. Please double-check.

ghc-colour.i386: W: incoherent-version-in-changelog 2.3.1-1 ['2.3.1-1.f13', '2.3.1-1.f13']
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

ghc-colour.i386: W: executable-stack /usr/lib/ghc-6.12.1/colour-2.3.1/libHScolour-2.3.1-ghc6.12.1.so
The binary declares the stack as executable.  Executable stack is usually an
error as it is only needed if the code contains GCC trampolines or similar
constructs which uses code on the stack.  One common source for needlessly
executable stack cases are object files built from assembler files which don't
define a proper .note.GNU-stack section.

ghc-colour.src: W: spelling-error %description -l en_US colours -> colors, co lours, co-lours
The value of this tag appears to be misspelled. Please double-check.

ghc-colour.src: W: spelling-error %description -l en_US Colours -> Co lours, Co-lours, Col ours
The value of this tag appears to be misspelled. Please double-check.

ghc-colour.src: W: strange-permission colour-2.3.1.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-colour-devel.i386: W: spelling-error %description -l en_US colours -> colors, co lours, co-lours
The value of this tag appears to be misspelled. Please double-check.

ghc-colour-devel.i386: W: spelling-error %description -l en_US Colours -> Co lours, Co-lours, Col ours
The value of this tag appears to be misspelled. Please double-check.

ghc-colour-prof.i386: E: devel-dependency ghc-colour-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-colour-prof.i386: W: spelling-error %description -l en_US colours -> colors, co lours, co-lours
The value of this tag appears to be misspelled. Please double-check.

ghc-colour-prof.i386: W: spelling-error %description -l en_US Colours -> Co lours, Co-lours, Col ours
The value of this tag appears to be misspelled. Please double-check.

ghc-colour-prof.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-colour-prof.i386: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.1/colour-2.3.1/libHScolour-2.3.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 0 specfiles checked; 1 errors, 13 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines .
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines .
        Naming-Yes
        Version-release - Matches
        License-Not sure, nothing mentioned in the LICENSE file.
        No prebuilt external bits - Yes
        Spec legibity - OK
        Package template - OK
        Arch support - No exclude arch
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK

[!]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
    No explicit short license name is mentioned.
    
[!]MUST: The License field in the package spec file must match the actual license.
    Depends on previous item

[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
   
        echo "%{_datadir}/%{pkg_name}-%{version}/CHANGELOG" >> %{name}.files
        echo "%{_datadir}/%{pkg_name}-%{version}/README" >> %{name}.files 
        For consistency, shouldn't the directories in {_datadir} be in the same name as the package name %{name}?

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task.
   
    [~]$ md5sum colour-2.3.1.tar.gz 
    5edced36d4c27393ae1ce1389eeb25ad  colour-2.3.1.tar.gz
    [~]$ md5sum ~/Downloads/colour-2.3.1.tar.gz 
    5edced36d4c27393ae1ce1389eeb25ad ~/Downloads/colour-2.3.1.tar.gz


[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[NA]SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+]SHOULD: The reviewer should test that the package functions as described.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.
Comment 2 Jens Petersen 2010-09-19 20:09:44 EDT
(In reply to comment #1)
> [!]MUST: The package must be licensed with a Fedora approved license and meet
> the Licensing Guidelines .
>     No explicit short license name is mentioned.

Well License .spec is listed as MIT.
See http://fedoraproject.org/wiki/Licensing#Software_License_List

So you just need to check that the package license text
follows the text of that license. :)
Comment 3 Narasimhan 2010-09-20 00:33:02 EDT
Ok. I checked that page and the license text matches the one under  the subheading  
    Modern Style with sublicense.
Comment 4 Narasimhan 2010-09-20 01:09:06 EDT
Actually during the review, I checked the cabal file for the license short name. Since it didn't mention any short name, I didn't understand how MIT was chosen in the spec file. 
Probably should have worded it this way in the review.
Comment 5 Ben Boeckel 2010-09-21 22:42:20 EDT
Yeah. Why the cabal file doesn't say 'MIT', I don't know. I saw it and said "that's BSD minus the 3 clauses, therefore MIT". That page is handy for checking MIT licenses in all its forms though.
Comment 6 Narasimhan 2010-09-28 09:24:19 EDT
APPROVED.
Comment 7 Ben Boeckel 2010-10-02 17:11:32 EDT
New Package CVS Request
=======================
Package Name: ghc-colour
Short Description: A model for human colour/color perception
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 8 Kevin Fenzi 2010-10-03 16:30:00 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2010-10-30 13:28:58 EDT
ghc-colour-2.3.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-colour-2.3.1-1.fc14
Comment 10 Fedora Update System 2010-10-30 13:29:05 EDT
ghc-colour-2.3.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-colour-2.3.1-1.fc13
Comment 11 Fedora Update System 2010-10-30 19:36:20 EDT
ghc-colour-2.3.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-colour'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-colour-2.3.1-1.fc14
Comment 12 Fedora Update System 2010-11-07 16:26:50 EST
ghc-colour-2.3.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-11-07 16:27:25 EST
ghc-colour-2.3.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.